%global python3_wheelname %{module}-%{version}-py3-none-any.whl
%global module flit

Name:           python3-%{module}
Version:        3.6.0
Release:        %mkrel 1
Summary:        Simplified packaging of Python modules
License:        BSD and ASL 2.0 and Python
Group:          Development/Python
URL:            https://flit.readthedocs.io/en/latest/
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-pip
BuildRequires:  python3-requests
BuildRequires:  python3-docutils
BuildRequires:  python3-pygments
BuildRequires:  python3-idna
BuildRequires:  python3-urllib3
BuildRequires:  python3-chardet
BuildRequires:  python3-pytoml

Requires:       python3-%{module}-core = %{version}-%{release}
Requires:       python3-pygments


%description
Flit is a simple way to put Python packages and modules on PyPI.

Flit only creates packages in the new 'wheel' format. People using older
versions of pip (<1.5) or easy_install will not be able to install them.

Flit packages a single importable module or package at a time, using the import
name as the name on PyPI. All sub-packages and data files within a package are
included automatically.

Flit requires Python 3, but you can use it to distribute modules for Python 2,
so long as they can be imported on Python 3.

%package -n python3-%{module}-core
Group:		Development/Python
Summary:	PEP 517 build backend for packages using Flit
%{?python_provide:%python_provide python3-%{module}-core}
Conflicts:	python3-%{module} < 2.1.0-2

%description -n python3-%{module}-core
This provides a PEP 517 build backend for packages using Flit.
The only public interface is the API specified by PEP 517,
at flit_core.buildapi.


%prep
%setup -qn %{module}-%{version}

%build
export FLIT_NO_NETWORK=1
# first, build flit_core with self
pushd flit_core
%pyproject_wheel
popd

# build of the main flit (needs flit_core)
export PYTHONPATH=$PWD/flit_core
%pyproject_wheel

%install
%pyproject_install

%files
%doc LICENSE README.rst
%{_bindir}/flit
%{python3_sitelib}/flit-*.dist-info/
%{python3_sitelib}/flit/

%files -n python3-%{module}-core
%doc LICENSE flit_core/README.rst
%{python3_sitelib}/flit_core-*.dist-info/
%{python3_sitelib}/flit_core/

%changelog
* Fri Mar 04 2022 TerryN <terryn94 at gmail.com> 3.6.0-1pclos2022
- update and rebuild for python 3.10

* Sat Apr 21 2018 marcin82 <fixxer1982 at gmail.com> - 1.0-1pclos2018
- intial build
